﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             x:Class="BeachVollyBall.View.GamePage" BackgroundColor="White">
    <ContentPage.Content>


        <Grid>
            <Grid RowDefinitions="60,*">
                <Grid Grid.Row="0" Padding="10,5,10,5" ColumnDefinitions="50,50,50,50,*,50" ColumnSpacing="1" RowDefinitions="*,*,*"   BackgroundColor="#AEAEAE" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" >
                    <Label Grid.Row="0" Grid.Column="0"  x:Name="txtTeamAName" FontFamily="MainFont" TextColor="#FF0000" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="FillAndExpand" ></Label>
                    <Label Grid.Row="1" Grid.Column="0" x:Name="txtTeamBName" FontFamily="MainFont" TextColor="#0057FF" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="FillAndExpand" ></Label>
                    <Label Grid.Row="2" Grid.Column="0" Text="Time" FontFamily="MainFont" TextColor="Black" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="FillAndExpand" ></Label>

                    <Label Grid.Row="0" Grid.Column="1"  Text="0" x:Name="txtTeamASet1" FontFamily="MainFont" TextColor="#FF0000" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>
                    <Label Grid.Row="1" Grid.Column="1"  Text="0" x:Name="txtTeamBSet1" FontFamily="MainFont" TextColor="#0057FF" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>
                    <Label Grid.Row="2" Grid.Column="1" Text="00:00" x:Name="txtSet1Timer" FontFamily="MainFont" TextColor="Black" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>

                    <Label Grid.Row="0" Grid.Column="2"  Text="0" x:Name="txtTeamASet2"  FontFamily="MainFont" TextColor="#FF0000" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>
                    <Label Grid.Row="1" Grid.Column="2"  Text="0" x:Name="txtTeamBSet2" FontFamily="MainFont" TextColor="#0057FF" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>
                    <Label Grid.Row="2" Grid.Column="2"  Text="0" x:Name="txtSet2Timer" FontFamily="MainFont" TextColor="Black" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>

                    <Label Grid.Row="0" Grid.Column="3" Text="0" x:Name="txtTeamASet3" FontFamily="MainFont" TextColor="#FF0000" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>
                    <Label Grid.Row="1" Grid.Column="3"  Text="0" x:Name="txtTeamBSet3" FontFamily="MainFont" TextColor="#0057FF" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>
                    <Label Grid.Row="2" Grid.Column="3"  Text="0" x:Name="txtSet3Timer" FontFamily="MainFont" TextColor="Black" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center"  HorizontalOptions="CenterAndExpand"  ></Label>


                    <Button Grid.RowSpan="3" Grid.Column="4" Grid.ColumnSpan="2" FontFamily="MainFont" FontAttributes="Bold" FontSize="15" Padding="10,0,0,0" CornerRadius="8" HeightRequest="40" Text="Replay" TextColor="Black"
                            BackgroundColor="#DBDBDB" WidthRequest="150"  VerticalOptions="Center" HorizontalOptions="End"
                            x:Name="btnreplay" Clicked="btnreplay_Clicked">
                        <Button.ImageSource>
                            <FontImageSource Glyph="&#xf2f9;" FontFamily="fa-solid" Color="Black" Size="Default"  />
                        </Button.ImageSource>
                    </Button>
                    <!--<ImageButton Grid.RowSpan="3" Grid.Column="5" WidthRequest="30" HeightRequest="30" BackgroundColor="Transparent" VerticalOptions="FillAndExpand" HorizontalOptions="End">
                    <ImageButton.Source>
                        <FontImageSource Glyph="&#xf044;" FontFamily="fa-solid" Color="Black" Size="Default"  />
                    </ImageButton.Source>
                </ImageButton>-->
                </Grid>


                <Grid Grid.Row="1" RowDefinitions="*,50" ColumnDefinitions="*,*,*" BackgroundColor="White" Padding="10">

                    <ScrollView Grid.Row="0" Grid.ColumnSpan="3">
                        <Grid VerticalOptions="FillAndExpand"  RowDefinitions="40,100,100,100,100,100,80" ColumnDefinitions="*,*" BackgroundColor="White" >

                            <Frame Grid.Row="0" Grid.Column="0" CornerRadius="5" BackgroundColor="#C4C4C4" Padding="0" HasShadow="False">
                                <Label Text="Team A" FontFamily="MainFont" TextColor="#FF0000" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                            </Frame>
                            <Frame  Grid.Row="0" Grid.Column="1" CornerRadius="5" BackgroundColor="#C4C4C4" Padding="0" HasShadow="False">
                                <Label Text="Team B" FontFamily="MainFont" TextColor="#0057FF" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                            </Frame>




                            <Frame x:Name="btnServeA" Grid.Row="1" Grid.Column="0" CornerRadius="5" BackgroundColor="#C4C4C4" Padding="0" HasShadow="False" VerticalOptions="FillAndExpand">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Serve" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtServeAPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start" HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>
                            <Frame x:Name="btnServeB" Grid.Row="1" Grid.Column="1" CornerRadius="5" BackgroundColor="#C4C4C4" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Serve" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtServeBPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>



                            <Frame Grid.Row="2" x:Name="btnAttackA" Grid.Column="0" CornerRadius="5" BackgroundColor="#FCFF66" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*"  HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Attack" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtAttackAPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>
                            <Frame Grid.Row="2" x:Name="btnAttackB" Grid.Column="1" CornerRadius="5" BackgroundColor="#FCFF66" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Attack" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtAttackBPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>


                            <Frame Grid.Row="3" x:Name="btnReceiveA" Grid.Column="0" CornerRadius="5" BackgroundColor="#C8FF70" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Recieve" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtReceiveAPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>
                            <Frame Grid.Row="3"  x:Name="btnReceiveB" Grid.Column="1" CornerRadius="5" BackgroundColor="#C8FF70" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Recieve" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtReceiveBPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold" VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>


                            <Frame Grid.Row="4" x:Name="btnBlockA" Grid.Column="0" CornerRadius="5" BackgroundColor="#80C2FF" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Block" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtBlockAPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>
                            <Frame Grid.Row="4" x:Name="btnBlockB" Grid.Column="1" CornerRadius="5" BackgroundColor="#80C2FF" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Block" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtBlockBPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>


                            <Frame Grid.Row="5" x:Name="btnFaultA"  Grid.Column="0" CornerRadius="5" BackgroundColor="#FF7070" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Fault" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0"  x:Name="txtFaultAPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>
                            <Frame Grid.Row="5" x:Name="btnFaultB"  Grid.Column="1" CornerRadius="5" BackgroundColor="#FF7070" Padding="0" HasShadow="False">
                                <Grid RowDefinitions="40*,60*" HorizontalOptions="CenterAndExpand" VerticalOptions="FillAndExpand">
                                    <Label Grid.Row="0" Text="Fault" TextColor="Black" FontFamily="MainFont" FontSize="Small" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                                    <Label Grid.Row="1" Text="0" x:Name="txtFaultBPosints" TextColor="Black" FontFamily="MainFont" FontSize="25" FontAttributes="Bold"  VerticalOptions="Start"  HorizontalOptions="Center" ></Label>
                                </Grid>
                            </Frame>


                        </Grid>
                    </ScrollView>
                    <Button Grid.Row="1" Grid.Column="0"  HeightRequest="50" WidthRequest="150" CornerRadius="8" VerticalOptions="Center" 
                        HorizontalOptions="Center" FontSize="16" FontFamily="MainFont" Text="Back" BackgroundColor="#801CFF" TextColor="White" FontAttributes="Bold"
                        x:Name="btnBack" Clicked="btnBack_Clicked">

                    </Button>
                    <Label Grid.Row="1" Grid.Column="1" Text="" x:Name="txtLastAction" TextColor="Black" FontSize="Micro" FontAttributes="Bold"  VerticalOptions="Center" HorizontalOptions="Center" ></Label>
                    <Button Grid.Row="1" Grid.Column="2" HeightRequest="50" WidthRequest="150" CornerRadius="8" VerticalOptions="Center" 
                        HorizontalOptions="Center" FontSize="16" FontFamily="MainFont" Text="Options" BackgroundColor="#801CFF" TextColor="White" FontAttributes="Bold" x:Name="btnoption" Clicked="btnoption_Clicked">

                    </Button>
                </Grid>


            </Grid>
        </Grid>
    </ContentPage.Content>
</ContentPage>